Wednesday, February 1, 2012

Setting Modem Smartfren di Ubuntu 11.04

Assalamualaikum, sobat maaf ane baur sempet update setelah bberapa hari ane mengikuti UAS, dikampus. kali ini ane mau berbagi tentang bagaimana cara mengkoneksikan modem smartfren di linux ubuntu, lebih tepatnya ubuntu 11.04 kebawah. karena pada ubuntu versi 11.04 kebawah belum memiliki driver khusus untuk modem. mungkin tips ini sudah banyak yg tulis. namun izinkan saya untuk menulisnya kembali untuk menambahkan jumlah posting diblog saya ini. hahaha.. langsung aja simak gan..

1. Langkah awal adalah download file usb-modeswitch
2. lalu ekstrak dan letakkan file berekstensi .deb pada destop linux ubuntu sobat
3. lalu buka terminal, login sbg root dngn printah "sudo su" lalu masukkan password login.
4. ubah directory ke destop dengan perintah cd Destop/
5. kemudian install "usb-modeswitch-data_20100826-1+squeeze0_all.deb" terlebih dahulu, dengan perintah "dpkg -i usb-modeswitch-data_20100826-1+squeeze0_all.deb", kira kira screenshootnya seperti ini.




6. kemudian selanjutnya install file berikutnya "usb-modeswitch_1.1.4-2_i386.deb" dengan perintah "dpkg -i usb-modeswitch_1.1.4-2_i386.deb" kira kira screenshootnya seperti ini.


7. lalu lakukan tes port usb, namun sebelum itu pastikan modem sudah terpasang / sudah dicolokan ke komputer / laptopsoba, lalu lakukan dengan cara ketik lsus pada terminal, dan hasilnya adalah sebuah kode sbg contoh kode yg saya temui 12d1:1505. kode 1505 tersebut dalam setiap komputer atau PC berbeda beda tidak selalu sama. walaupun modemnya bertipe sama, modem yg saya gunakan adalah Smarfren EC1261-2.

8. kamudian ketikan gedit /etc/usb_modeswitch.d/12d1:1505 pada terminal.. INGAT ubah angka / kode 1505 dengan kode yg tertera pada komputer sobat. lalu isikan dengan kode

########################################################
# Huawei, newer modems
DefaultVendor= 0x12d1
DefaultProduct=0x1505
TargetVendor= 0x12d1
TargetProductList="1001,1406,140b,140c,1412,141b,14ac"
CheckSuccess=20
MessageContent="55534243123456780000000000000011062000000100000000000000000000"

ubah kode yg berwarna merah dengan kode yg ada pada komputer sobat. dan simpan.


9. lalu ketikan gedit /lib/udev/rules.d/40-usb_modeswitch.rules pada terminal dan tambahkan kode berikut sebelum LABEL=”modeswitch_rules_end”.


ATTRS{idVendor}=="12d1", ATTRS{idProduct}=="1505", RUN+="usb_modeswitch '%b/%k'"

ubah kode yg berwarna merah dengan kode yg ada pada komputer sobat. dan simpan.

10. dan langkah terakhir adalah masukkan perintah berikut pada terminal usb_modeswitch -c /etc/usb_modeswitch.d/12d1:1505

dan seharusnya modem sudah berhasil terdeteksi. jika belum maka restart komputer sobat, dan semoga berhasil. sekian posting kali ini semoga bermanfaat, kita berjumpa lagi pada postingan berikutnya. selamat mencoba,
wassalamualaikum wr wb.




|


Masukkan Email Untuk Berlangganan Tulisan by E-mail



Tulisan Lainnya :

6 comments:

  1. haaaaaaaaaaaaa!!!!!!!!!!!!!!

    ReplyDelete
  2. >saya ketik lsusb di terminal hasilnya modem udah kedetek, huawei 12d1:1505

    >tapi waktu masukan perinth 'gedit /etc/usb_modeswitch.d/12d1:1505'

    >replynya bilang:
    'The program 'gedit' is currently not installed. You can install it by typing:
    sudo apt-get install gedit'

    >terus saya install gedit
    'sudo apt-get install gedit'

    >hasilnya
    'You might want to run 'apt-get -f install' to correct these:
    The following packages have unmet dependencies:
    gedit : Depends: gedit-common (>= 3.4) but it is not going to be installed
    Depends: gedit-common (< 3.5) but it is not going to be installed
    libusb-dev:i386 : Depends: libusb-0.1-4:i386 (= 2:0.1.12-14) but it is not going to be installed
    Depends: libc6-dev:i386 but it is not going to be installed or
    libc-dev:i386
    tcl : Depends: tcl8.4 (>= 8.4.16-2) but it is not going to be installed
    usb-modeswitch:i386 : Depends: libc6:i386 (>= 2.3) but it is not going to be installed
    Depends: libusb-0.1-4:i386 (>= 2:0.1.12) but it is not going to be installed
    Depends: tcl:i386 but it is not installable or
    tclsh:i386
    Depends: usb-modeswitch-data:i386 (>= 20100127) but it is not installable
    E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).'

    >ikutin perintah ketik
    apt-get -f install

    >hasilnya
    'E: Could not open lock file /var/lib/dpkg/lock - open (13: Permission denied)
    E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?'


    gimana nih bos?

    ReplyDelete
  3. wow panjang juga permasalahannya..

    pertama masuk root dulu ya.. buka terminal trus ketik sudo su lalu enter nanti masukkin password login.. passwordnya gak akan keliatan di terminal tapi ketik aja. k'lo udah enter.

    trus tinggal remove aja perintahnya :

    $sudo rm /var/lib/dpkg/lock

    atau

    sudo rm -f /var/lib/dpkg/lock

    sudo rm /var/lib/apt/lists/lock

    dpkg itu buat installasi manual
    apt itu buat installasi otomatis dari terminal.

    semoga bisa membantu..

    ReplyDelete
  4. yo sama sama kang indra prathama..

    ReplyDelete

Berikan sedikit komentar sobat, karena itu sangat berarti buat saya, dan saya sangat berharap sobat tidak menggunakan user Anonim / anonymous tapi gunakan saja Name / URL, atau dengan E-mail itu lebih baik.. thanks for visit my blog

Copyright © 2012. NoteBase - All Rights Reserved
Template Design by AkustikCorporation
Powered by Blogger